Subject: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out

From: Alan Third <[email-masked]>
Date: Tue, 26 Nov 2019 21:39:10 +0000

On Tue, Nov 26, 2019 at 09:40:06PM +0100, Adam Sjøgren wrote:
> Alan writes:
>
> > Every time I look at those screenshots I think that perhaps we should
> > turn off the smoothing completely, then remember I turned it on
> > because photos of real things looked awful without it.
>
> Good point.
>
> But hard to tell whether to smooth or not, I guess? xpm's are probably
> often not-photos, but png's...

It might be worth smoothing on scaling down, but not on scaling up.
That way if you zoom in you get exact pixels, but zooming out you
don’t get aliasing effects.

I don’t know if that would add any other problems...

Patch attached ‐ this goes on top of the patch for bug#38109:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38109#137

It is also only for XRender. I’ve no idea how to go about doing it in
other terms.
-- 
Alan Third